// JavaScript Document

        
        //hide the textbox on document ready
//$("#inputphrase").hide();

//make it visble on search icon click
$(".Search").click(function () {
$("#inputphrase").show();
});
        
        
var timeoutInMiliseconds = 2000;
var timeoutId; 
 
function startTimer() { 
    // window.setTimeout returns an Id that can be used to start and stop a timer
    timeoutId = window.setTimeout(doInactive, timeoutInMiliseconds)
}
        
        $('#inputphrase').on('input',function(e){
    //alert('Changed!')
        
        startTimer();
      
});
        
             
                         
                         
        $('#inputphrase').keyup(function(e){
    if(e.keyCode == 13)
    {
     
        
    }
});
    
        function doInactive() {
    // does whatever you need it to actually do - probably signs them out or stops polling the server for info

        
        
         // alert('Changed!'+$('#inputphrase').val());
        var str = $('#inputphrase').val();
        var res = str.split(" ");
        //alert (res[0]+" "+res.length);
        
            var i=0;
            var validation=0;
            var ObjetRecherche='';
            var ObjetGrandeur='0';
            var phrase='';
            var prodname ='1';
            
            for (i = 0; i < res.length; i++) { 
           // alert( res[i]);
              
                
                // test verbe
                switch(res[i].toLowerCase()) {
                        
                    case 'montre':
                phrase=phrase+'verbe';
                        validation=1;
                        
                            break;
                    case 'montre-moi':
               phrase=phrase+'verbe';
                        validation=1;
                        break;
                    case 'affiche':
               phrase=phrase+'verbe';
                        validation=1;
                        break;
                   case 'affiche-moi':
               phrase=phrase+'verbe';
                        validation=1;
                        break;
                   case 'cherche':
               phrase=phrase+'verbe';
                        validation=1;
                        break;  
                        case 'modifie':
               phrase=phrase+'verbe';
                        validation=1;
                        break;  
                         case 'cherche':
               phrase=phrase+'verbe';
                        validation=1;
                        break;  

                    default:
    // code block
}
               
                 // test object direct
                switch(res[i]) {
                        
                    case 'devis':
                phrase=phrase+'-devis'+res[i+1];
                        ObjetRecherche='devis';
                        prodname =res[i+1];
                            break;
                    case 'offre':
                 phrase=phrase+'-devis'+res[i+1];
                         ObjetRecherche='devis';
                        prodname =res[i+1];
                        break;
                    case 'offres':
                 phrase=phrase+'-devis'+res[i+1];
                         ObjetRecherche='devis';
                        prodname =res[i+1];
                        break;
                           case 'commande':
                 phrase=phrase+'-commande'+res[i+1];
                        prodname =res[i+1];
                          ObjetRecherche='commande';
                        //alert (prodname);
                        break;
                        
                   case 'commandes':
                 phrase=phrase+'-commande'+res[i+1];
                        prodname =res[i+1];
                         prodname ='1';
                         ObjetRecherche='commande';
                        break;
                  
                         case 'facture':
                phrase=phrase+'-facture'+res[i+1];
                          ObjetRecherche='facture';
                        prodname =res[i+1];
                        break;
                   case 'factures':
                phrase=phrase+'-facture'+res[i+1];
                        ObjetRecherche='facture';
                        prodname =res[i+1];
                        break;  
                          case 'client':
                phrase=phrase+'-client'+res[i+1];
                        ObjetRecherche='client';
                        prodname =res[i+1];
                        break;  
                         case 'paiement':
                phrase=phrase+'-paiement';
                        ObjetRecherche='paiement';
                        break;  
                    
                    default:
    // code block
}
          
                 // test quantités
                switch(res[i]) {
                     case 'le':
                phrase=phrase+'-singulier';
                            break;
                    case 'la':
                phrase=phrase+'-singulier';
                        break;
                   
                    default:
    // code block
}
                 // test plus grand plus petit
                switch(res[i]) {
                     case 'inférieur':
                phrase=phrase+'-<';
                            break;
                         case 'inférieures':
                phrase=phrase+'-<';
                    case 'supérieur':
                phrase=phrase+'->';
                        break;
                  case 'supérieurs':
                phrase=phrase+'->';
                        break;
                       case 'supérieures':
                phrase=phrase+'->';
                        break;   
                case 'petites':
                phrase=phrase+'-< 2500 € ';
                ObjetGrandeur='2500';
                        break;   
                        case 'moyennes':
                phrase=phrase+'-< 5000 € ';
                ObjetGrandeur='5000';
                        break;   
                        
                    default:
    // code block
}          
             // test ordre des donnees
                switch(res[i]) {
                     case 'premier':
                phrase=phrase+'-premier';
                         case 'premières':
                phrase=phrase+'-premier';
                            break;
                         case 'premiers':
                phrase=phrase+'-premier';
                    case 'dernier':
                phrase=phrase+'-dernier';
                        break;
                  case 'derniers':
                phrase=phrase+'-dernier';
                        break;
                      case 'dernières':
                phrase=phrase+'-dernier';
                        break;   
                         case 'dernière':
                phrase=phrase+'-dernier';
                        break;   
                        
                    default:
    // code block
}
                
                 // test champs a rechceher
                switch(res[i]) {
                     case 'de':
                phrase=phrase+'-cherhche = '+res[i+1];
                            break;
                       case 'à':
                phrase=phrase+'-cherhche = '+res[i+1];
                            break;  
                         case 'les':
                phrase=phrase+'-pluriel'+res[i+1];
                        break;
                        case 'numéros':
                phrase=phrase+'-numéro : '+res[i+1];
                        prodname =res[i+1];
                        break;
                         case 'numéro':
                phrase=phrase+'-numéro : '+res[i+1];
                        prodname =res[i+1];
                        break;
                    default:
    // code block
}
                
     
                
                
                
                
                
            }
            
         
            
            
            
     // affiche le resulta de l'interprétation des phrases  *****************************************************************************  
   //     $('#resultat').html(phrase );
        
            
            
            
            
            
            
        // resultats de redirecteion
            
         
            var postpage="listeoffreresult2.php";
            
            
              // test champs a rechceher
                switch( ObjetRecherche) {
                     case 'devis':
                postpage="listeoffreresult2.php";
                            break;
                       case 'commande':
                        switch (ObjetGrandeur){
                     case '0': postpage="listecomresult.php"; break; 
                     case '2500': postpage="listecomresultxp.php"; break; 
                     case '5000': postpage="listecomresultxp5.php"; break; 
                }
                
                            break;  
                         case 'client':
                postpage="listcliresultwild.php";
                        break;
                        case 'facture':
                postpage="listefacresult.php";
                        break;
                         case 'paiement':
                postpage="listeoffreresult2.php";
                        break;
                    default:
    // code block
}
                
            
   $.post(postpage, { client: prodname },function(postresult){
        $("#presentprodres").html(postresult);
   });
    //     $('#resultat').html(postpage );
      //     $('#resultat').html(prodname );
        
        }

  